probe::signal.wakeup
Prev | Chapter 17. Signal Tapset | Next

## Name

probe::signal.wakeup — Sleeping process being wakened for signal

## Synopsis

    signal.wakeup

## Values

`resume`

  Indicates whether to wake up a task in a STOPPED or TRACED state

`state_mask`

  A string representation indicating the mask of task states to wake. Possible values are TASK_INTERRUPTIBLE, TASK_STOPPED, TASK_TRACED, TASK_WAKEKILL, and TASK_INTERRUPTIBLE.

`sig_pid`

  The PID of the process to wake

`pid_name`

  Name of the process to wake

Prev | Up | Next
probe::signal.systkill.return | Home | Chapter 18. Errno Tapset